Bug 840236 - Want to install windows tffcorefonts
Want to install windows tffcorefonts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 13:13 EDT by Stefanus
Modified: 2014-01-21 18:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 15:21:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefanus 2012-07-14 13:13:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):
I followed this website http://www.fedorafaq.org/#installfonts I have no idea what's my component

How reproducible:

Reproduceible


Steps to Reproduce:
1. yum install rpm-build cabextract ttmkfdir wget
2. wget http://corefonts.sourceforge.net/msttcorefonts-2.0-1.spec
3. rpmbuild -ba msttcorefonts-2.0-1.spec
4. yum install --nogpgcheck /root/rpmbuild/RPMS/noarch/msttcorefonts-2.0-1.noarch.rpm
  
Actual results:

Terminal Information : 

Downloading Packages:
Running Transaction Check
ERROR with transaction check vs depsolve:
/usr/sbin/chkfontpath is needed by msttcorefonts-2.0-1.noarch
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 1 pre-existing rpmdb problem(s), 'yum check' output follows:
msttcorefonts-1.3-4.noarch has missing requires of /usr/sbin/chkfontpath
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-07-15.00-07.5ivvzI.yumtx


Expected results:
Want to install mscore fonts..

Additional info:
Comment 1 James Antill 2012-07-16 15:21:40 EDT
 As it says, you already have a version of the package instaleld with the problem. So yum doesn't see it as a new problem (but rpm does).
 You need to install something which provides chkfontpath, or remove/reinstall msttcorefonts (and then when installing it yum will require something which provides chkfontpath).

 You can also do: --setop=recheck_installed_requires=True ... if your version of yum has that.

Note You need to log in before you can comment on or make changes to this bug.